Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  textstil via skript ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   textstil via skript ändern (3691 mal gelesen)
carmelli76
Mitglied
CAD/GIS Teamleitung


Sehen Sie sich das Profil von carmelli76 an!   Senden Sie eine Private Message an carmelli76  Schreiben Sie einen Gästebucheintrag für carmelli76

Beiträge: 553
Registriert: 05.07.2004

Autodesk Civil 3D 2014
Revit 2016
Vault 2014

erstellt am: 11. Aug. 2010 23:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallihallo,

Kennt Ihr zufällig eine Möglichkeit, den Textstil vorhandener Text und/oder Texteigenschaften, wie die Neigung, via Skript zu ändern?

Viele Grüße aus Berlin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP


Ex-Mitglied

erstellt am: 11. Aug. 2010 23:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

Hi,
    Befehl: _-style
    Namen des Textstils eingeben oder [?] <Standard>:

    Aktueller Textstil. Vollständiger Name der Schriftdatei = Arial
    Vollständigen Namen der Schrift oder der Schriftdatei angeben (TTF oder SHX)
    <arial.ttf>: arial.ttf
    Texthöhe angeben oder [Beschriftung] <0.0000>:
    Breitenfaktor angeben <1.0000>: .8

    Neigungswinkel angeben <0.00>: 15
    Text rückwärts anzeigen? [Ja/Nein] <Nein>:
    Text auf dem Kopf anzeigen? [Ja/Nein] <Nein>:

    "Standard" ist jetzt der aktuelle Textstil.

HTH, - alfred -

------------------
www.hollaus.at

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 12. Aug. 2010 07:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

na ja .. per Script?? :hmmm .... mit Lisp würd ich kein Problem sehen .. lohnt sich aber nur für Komplettzeichnungen oder ganz viel Texte .. für ein paar (per qselect) ausgewählte sollte das Eigenschaftsfenster 1. Wahl sein.

------------------
      - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

carmelli76
Mitglied
CAD/GIS Teamleitung


Sehen Sie sich das Profil von carmelli76 an!   Senden Sie eine Private Message an carmelli76  Schreiben Sie einen Gästebucheintrag für carmelli76

Beiträge: 553
Registriert: 05.07.2004

Autodesk Civil 3D 2014
Revit 2016
Vault 2014

erstellt am: 12. Aug. 2010 08:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

Danke für die Antworten.
_-style ändert ja nicht die vorhandenen Neigungen...
Mit Lisp werde ich es dann machen müssen, da ich viele Zeichnungen mit einigen Texten habe und das Skript stapelweise durchlaufen lasse.

LG aus Berlin.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2704
Registriert: 26.08.2002

ACAD R11 - 2018.1.2
(Plant3D)
AVIS
ACAD LT 2013- 2020
ZWCAD 2015 Versuch "nun ja"
[s]History P3D 2012/(13) SP und Hotfix([/s]<P>
Windows 10 / 64 Bit
Xeon CPU 3.5GHz
16GB Ram
NVIDIA Quadro P2000
3x Dell TV100 88P Monitore

erstellt am: 12. Aug. 2010 09:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

....

Filter zum auswählen und dann im Eigenschaften ??? sollte bei normalem Textumfang ja reichen oder ?

nice day

------------------
cadwomen™

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

carmelli76
Mitglied
CAD/GIS Teamleitung


Sehen Sie sich das Profil von carmelli76 an!   Senden Sie eine Private Message an carmelli76  Schreiben Sie einen Gästebucheintrag für carmelli76

Beiträge: 553
Registriert: 05.07.2004

Autodesk Civil 3D 2014
Revit 2016
Vault 2014

erstellt am: 12. Aug. 2010 09:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich will das auf sehr viele Zeichnungen anwenden und möchte daher Skripte stapelweise laufen lassen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 12. Aug. 2010 09:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

naja .. ein Script .. was Zeichnungen nacheinander lädt ..ein Lisp für die Modifikationen aufruft .. speichert .. schließt ....

sollte, bezogen auf deine erste anfrage eigentlich schon fertig sein 

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

zimcad
Mitglied
Büro für Bauplanung & Bautechnik


Sehen Sie sich das Profil von zimcad an!   Senden Sie eine Private Message an zimcad  Schreiben Sie einen Gästebucheintrag für zimcad

Beiträge: 49
Registriert: 26.07.2004

erstellt am: 30. Aug. 2010 17:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Hi,
bin ich vor ein paar Tagen durch Zuafll drüber gestolpert: Ein Skript was alle Texte in der Zeichnung auf einen Stil ändert, wenn ich mich recht erinnere gefunden bei www.jtbworld.com:

;;; Change all text styles on all objects to specified text style
;;; (ax:ChangeTextStyleName "ISOCPEUR")
(defun ax:ChangeTextStyleName (style / sset ename i)
  (vl-load-com)
  (setq i 0)
  (setq sset (ssget "X" '((-4 . "<OR") (0 . "MTEXT") (0 . "TEXT") (-4 . "OR>"))))
  (if sset
    (repeat (sslength sset)
      (setq ename (ssname sset i))
      (setq i (1+ i))
      (vla-put-stylename (vlax-ename->vla-object ename) style)
    )
  )
)

war es das was du suchst?

Das Script was alle Zeichnungen eines  Ordners nacheinander lädt hab
ich hier im Forum auch schon mal gesehen. Dann musst du nur noch diese Funktion in die acaddoc.lsp einbauen

------------------
Gruss
A. Zimmermann - www.zimcad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19656
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 31. Aug. 2010 08:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

@zimcad
dieses LISP (welches du Script nennst, was nicht unbedingt falsch, aber verwirrend ist für manchereins)
macht nichts anderes wie "Objektwahl Alle(Texte&MTexte); Textstil-XY zuweisen".

Es ändert also die Eigenschaft "Textstil" eines (M)Textobjektes, nicht die
Eigenschaften eines Textstiles selbst. Zudem wird ebenfalls nicht die Neigung
(SchrägeWinkel) eines (M)Textobjektes geändert.
-
Ein Programm welches Scripte im Stapelbetrieb ausführt und mit der Acaddoc.lsp
geladen werden muß ist etwas merkwürdig und mir unbekannt, solltest du selbst
soetwas mal gebrauchen sollte man nach SCC2 (von CADwiesel.de) suchen oder
nach ScriptPro (von AutoDESK).

------------------
CAD.de System-Angaben  -  CAD on demand  -  User:FAQ(Acad)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ingo Struck
Mitglied
Holztechniker


Sehen Sie sich das Profil von Ingo Struck an!   Senden Sie eine Private Message an Ingo Struck  Schreiben Sie einen Gästebucheintrag für Ingo Struck

Beiträge: 459
Registriert: 08.01.2010

Intel Core i7-3770
16 GB RAM
AMD FirePro V3900 (FireGL V)
Windows 7 Pro SP1
AutoCAD 2017 SP1 - deutsch

erstellt am: 31. Aug. 2010 09:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Hallo zusammen,

zum Thema Skripte im Stapelbetrieb habe ich folgenden Zweig gefunden: KLICK!
Dort sind allerdings AutoCAD-Standardskripte "Skriptname.scr" gemeint.

mfg, Ingo 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

zimcad
Mitglied
Büro für Bauplanung & Bautechnik


Sehen Sie sich das Profil von zimcad an!   Senden Sie eine Private Message an zimcad  Schreiben Sie einen Gästebucheintrag für zimcad

Beiträge: 49
Registriert: 26.07.2004

erstellt am: 31. Aug. 2010 09:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Hallo,
hast recht, hab die Frage etwas zu schnell gelesen und dachte dass nur die Objekte geändert werden sollen. Mit Scripts stehe ich so ein bisschen auf Kriegsfuss, daher verwende ich zu fast 100% Lisp und bleibe wohl auch dabei. Ohne jetzt eine sofortige Lösung parat zu haben denke ich, dass das gestellte Problem mit Lisp relativ einfach zu lösen wäre.

Zu dem Stapelbetrieb: Ich hab mir (als es zu vba - Zeiten noch die Visual Basic IDE zu Acad gab  (~acad 2007)) eines gebastelt, welches alle Zeichnungen in einem Verzechnis nacheinander öffnet, speichert und wieder schliesst. In jeder dwg wird die acaddoc.lsp geladen, in dieser konnte ich dann alles was ich wollte (mit Lisp, vba oder auch Scripten) machen.

------------------
Gruss
A. Zimmermann - www.zimcad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

zimcad
Mitglied
Büro für Bauplanung & Bautechnik


Sehen Sie sich das Profil von zimcad an!   Senden Sie eine Private Message an zimcad  Schreiben Sie einen Gästebucheintrag für zimcad

Beiträge: 49
Registriert: 26.07.2004

aca-2017, win10-64bit

erstellt am: 31. Aug. 2010 10:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Habs doch gefunden und dann ein wenig weiter gebastelt:
Auch wenn es kein Script ist  , aber ein Lisp, was den Winkel aller Textstile der aktuellen Zeichnung auf 15 Grad ändert. Wie vermutet in Lisp relativ simpel zu realisieren. Das muss jetzt in das besagte Script eingebaut werden, das alle dwg's aufruft.

(defun C:TSW15 ( / ad style)
  (vl-load-com)
  (setq ad (vla-get-ActiveDocument (vlax-get-Acad-Object)))
  (princ "Alle Textstilwinkel auf 15 Grad ändern")
  (vlax-for style (vla-get-TextStyles ad)
    (if (/= (wcmatch (vla-get-Name style) "*|*")); keine Xrefs
      (progn
      (vla-put-ObliqueAngle style 0.2618); Angabe des Winkels - hier 15 Grad - im Bogenmass
      (princ "\n")  (princ (vla-get-name style)) (prompt " geändert.\n")
      )
    )
  )
  (command "._regenall")
  (princ)
)

------------------
Gruss
A. Zimmermann - www.zimcad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz